# Security groups lb-frontend
resource "openstack_networking_secgroup_v2" "lb-dco" {
  name        = "lb-frontend"
  description = "Ingress lb traffic to allow."
  provider=openstack.dco
}

resource "openstack_networking_secgroup_rule_v2" "lb_ingress_rule_v4_dco" {
  direction         = "ingress"
  ethertype         = "IPv4"
  protocol          = "tcp"
  port_range_min    = "8443"
  port_range_max    = "8443"
  provider          = openstack.dco
  remote_ip_prefix  = "87.251.31.153/32"
  security_group_id = openstack_networking_secgroup_v2.lb-dco.id
}

